/*
** pork_opt.c - Command-line argument handler.
** Copyright (C) 2002-2003 Ryan McCabe <ryan@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
*/

#include <config.h>

#include <unistd.h>
#include <stdio.h>
#include <ncurses.h>
#include <stdlib.h>
#include <sys/types.h>

#ifndef HAVE_GETOPT_LONG
#	include <getopt_missing.h>
#else
#	include <getopt.h>
#endif

#include <pork.h>
#include <pork_missing.h>
#include <pork_opt.h>

#define OPTSTRING "u:cvh"

/* XXX do this */

static const struct option longopts[] = {
	{ "user",			required_argument,		0, 'u'	},
	{ "screenname",		required_argument,		0, 'u'	},
	{ "connect",		no_argument,			0, 'c'	},
	{ "version",		no_argument,			0, 'v'	},
	{ "help",			no_argument,			0, 'h'	},
	{ NULL, 0, NULL, 0 },
};

int get_options(int argc, char *const argv[]) {
	int opt;

	while ((opt = getopt_long(argc, argv, OPTSTRING, longopts, NULL)) != EOF) {
		switch (opt) {
			case 'u':
				break;

			case 'p':
				break;

			case 'h':
				fprintf(stderr, "This isn't implemented yet\n");
				exit(0);
				break;

			case 'v':
				printf("%s version %s\n", PACKAGE, VERSION);
				printf("Written by %s\n", AUTHOR);
				printf("%s\n", HOMEPAGE);
				exit(0);
				break;
		}
	}

	return (0);
}
